Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.ui
Class FormParentChildNode

    java.lang.Object
      edu.stanford.smi.protege.util.LazyTreeNode
          edu.stanford.smi.protege.ui.ParentChildNode
              edu.stanford.smi.protege.ui.FormParentChildNode

All Implemented Interfaces:
  TreeNode

    public class FormParentChildNode

extends ParentChildNode

TreeNode to hold the parent form - child form relationship. This relationship is the phyically same as super/sub class but we have a separate class because it might be logically different.

Author:
  Ray Fergerson

Constructor Summary
`FormParentChildNode(LazyTreeNode parentNode, Cls parentCls)`

Method Summary
`protected LazyTreeNode` | `createNode(Object o)`
`protected void` | `dispose()`

Methods inherited from class edu.stanford.smi.protege.ui.ParentChildNode
`getChildObjectCount, getChildObjects, getCls, getComparator, notifyNodeChanged, toString`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeNode
`childAdded, childAdded, childRemoved, children, compareTo, equals, getAllowsChildren, getChildAt, getChildCount, getIndex, getIndex, getLazyTreeNodeParent, getParent, getUserObject, getUserObjectIndex, isDuplicate, isLeaf, isSorted, loadChildObjects, notifyChildNodeAdded, notifyChildNodeRemoved, notifyNodeChanged, notifyNodeStructureChanged, reload, reload, setIsLoaded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormParentChildNode

    public FormParentChildNode(LazyTreeNode parentNode,
                               Cls parentCls)

Method Detail

### createNode

    protected LazyTreeNode createNode(Object o)

  Overrides:
    `createNode` in class `ParentChildNode`

### dispose

    protected void dispose()

  Overrides:
    `dispose` in class `ParentChildNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.